
#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 RoyalBlue
#property indicator_color2 RoyalBlue
#property indicator_color3 RoyalBlue 
#property indicator_color4 C'72,72,72'
#property indicator_color5 C'72,72,72'
#property indicator_color6 Red
#property indicator_color7 Red 
#property indicator_color8 Red 
//---- parameters
extern int    Periods = 8;
bool   invert_strength =  0;
string CurrencyPair    = "";


//---- buffers
   double     ExtBuffer0[];   
   double     ExtBuffer1[];
   double     ExtBuffer2[];
   double     ExtBuffer3[]; 
   double     ExtBuffer4[];   
   double     ExtBuffer5[];
   double     ExtBuffer6[]; 
   double     ExtBuffer7[];
   double     ExtBuffer8[]; 
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,ExtBuffer0);
   SetIndexBuffer(1,ExtBuffer1);
   SetIndexBuffer(2,ExtBuffer2);
   SetIndexBuffer(3,ExtBuffer3);
   SetIndexBuffer(4,ExtBuffer4);
   SetIndexBuffer(5,ExtBuffer5);
   SetIndexBuffer(6,ExtBuffer6);
   SetIndexBuffer(7,ExtBuffer7);
   
   SetIndexStyle(0,DRAW_HISTOGRAM, EMPTY, 4, indicator_color1);
   SetIndexStyle(1,DRAW_HISTOGRAM, EMPTY, 4, indicator_color2);
   SetIndexStyle(2,DRAW_HISTOGRAM, EMPTY, 4, indicator_color3);
   SetIndexStyle(3,DRAW_HISTOGRAM, EMPTY, 4, indicator_color4);
   SetIndexStyle(4,DRAW_HISTOGRAM, EMPTY, 4, indicator_color5);
   SetIndexStyle(5,DRAW_HISTOGRAM, EMPTY, 4, indicator_color6);
   SetIndexStyle(6,DRAW_HISTOGRAM, EMPTY, 4, indicator_color7);
   SetIndexStyle(7,DRAW_HISTOGRAM, EMPTY, 4, indicator_color8);
   
   for (int i=0;i<indicator_buffers;i++) SetIndexLabel(i,NULL);   

   if (CurrencyPair == "") CurrencyPair = Symbol();
   if (iClose(CurrencyPair,0,0) == 0)
              CurrencyPair = Symbol();
   IndicatorShortName("13 aim ("+Periods+")");
   return(1);
}

int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
  
   int    counted_bars=IndicatorCounted();
   
//---- check for possible errors
   if (counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if (counted_bars>0) counted_bars--;
   
   int    pos=Bars-counted_bars;

   double ddraw;
   double SSL;
   double SSL21;
double SM3Plav;
double SM3Crven;
//---- main calculation loop
   while(pos>=0)
     {          
      ddraw= iRSI(CurrencyPair,0,Periods,PRICE_CLOSE,pos);         
      SM3Plav = iCustom(NULL,0,"3 SM",13,3,3,0,pos);
      SM3Crven = iCustom(NULL,0,"3 SM",13,3,3,1,pos);
     
      if (invert_strength==1)   
         ddraw=ddraw-(ddraw-50)*2;
         
      if(ddraw<=49&&SM3Crven!=EMPTY_VALUE)
         
             if(ddraw<=49&&ddraw>44)   
                drawblock(0,0,0,0,5,0,0,0,pos);
             
                  else if(ddraw<=44&&ddraw>39&&SM3Crven!=EMPTY_VALUE)  
                          drawblock(0,0,0,0,0,5,0,0,pos);
                                      
                         else if(ddraw<=39&&ddraw>35&&SM3Crven!=EMPTY_VALUE)
                                drawblock(0,0,0,0,0,0,5,0,pos);
     
                          else  
                               drawblock(0,0,0,0,0,0,0,5,pos);
                        
                               
                               
          else if(ddraw>=50&&SM3Plav!=EMPTY_VALUE)
           
               if(ddraw>50&&ddraw<56&&SM3Plav!=EMPTY_VALUE)
                  drawblock(5,0,0,0,0,0,0,0,pos);
              
              else if(ddraw>=56&&ddraw<60&&SM3Plav!=EMPTY_VALUE)
                      drawblock(0,5,0,0,0,0,0,0,pos);
                  else  
                      drawblock(0,0,5,0,0,0,0,0,pos);
        
             else
              drawblock(0,0,0,5,0,0,0,0,pos);
   
   
         pos--;
     }
//----
   return(0);
  }
      
void drawblock(int a,int b,int c,int d,int e,int f,int g,int h,int pos)

{
ExtBuffer0[pos]=a;    
ExtBuffer1[pos]=b;
ExtBuffer2[pos]=c;
ExtBuffer3[pos]=d;
ExtBuffer4[pos]=e;
ExtBuffer5[pos]=f;
ExtBuffer6[pos]=g;
ExtBuffer7[pos]=h;
}

