
#property copyright "Mihailo Stosovic"

#property indicator_separate_window
#property indicator_minimum 0.0
#property indicator_maximum 1.0
#property indicator_buffers 4
#property indicator_color1 Red
#property indicator_color2 RoyalBlue
#property indicator_color3 C'72,72,72'
#property indicator_color4 C'72,72,72'

int Minutes = 0;
extern int nBars = 100;
double g_ibuf_80[];
double g_ibuf_84[];
double g_ibuf_88[];
double g_ibuf_92[];
double g_isar_120;
double g_iadx_128;
double g_iadx_136;
string gs_144;

int init() {
   SetIndexStyle(0, DRAW_HISTOGRAM, STYLE_SOLID, 4, Red);
   SetIndexBuffer(0, g_ibuf_80);
   SetIndexStyle(1, DRAW_HISTOGRAM, STYLE_SOLID, 4, RoyalBlue);
   SetIndexBuffer(1, g_ibuf_84);
   SetIndexStyle(2, DRAW_HISTOGRAM, STYLE_SOLID, 4, C'72,72,72');
   SetIndexBuffer(2, g_ibuf_88);
   SetIndexStyle(3, DRAW_HISTOGRAM, STYLE_SOLID, 4, C'72,72,72');
   SetIndexBuffer(3, g_ibuf_92);

   IndicatorShortName("3 M(" + gs_144 + ")");
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   int l_ind_counted_0 = IndicatorCounted();
   for (int li_4 = 0; li_4 < nBars; li_4++) {
      g_ibuf_80[li_4] = 0;
      g_ibuf_84[li_4] = 0;
      g_ibuf_88[li_4] = 0;
      g_ibuf_92[li_4] = 0;
      g_iadx_128 = iADX(NULL, Minutes, 13, PRICE_WEIGHTED, MODE_PLUSDI, li_4);
      g_iadx_136 = iADX(NULL, Minutes, 13, PRICE_WEIGHTED, MODE_MINUSDI, li_4);
      g_isar_120 = iSAR(NULL, Minutes, 0.09, 0.2, li_4);
      if (g_isar_120 < iClose(NULL, Minutes, li_4) && g_iadx_128 > g_iadx_136) g_ibuf_84[li_4] = 1;
      if (g_isar_120 < iClose(NULL, Minutes, li_4) && g_iadx_136 > g_iadx_128) g_ibuf_92[li_4] = 1;
      if (g_isar_120 > iClose(NULL, Minutes, li_4) && g_iadx_136 > g_iadx_128) g_ibuf_80[li_4] = 1;
      if (g_isar_120 > iClose(NULL, Minutes, li_4) && g_iadx_128 > g_iadx_136) g_ibuf_88[li_4] = 1;
      if (g_ibuf_80[li_4] == 0.0 && g_ibuf_84[li_4] == 0.0) {
      }
   }
   return (0);
}