#property copyright "Mihailo Stosovic"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 RoyalBlue
#property indicator_color2 Red

#property indicator_minimum 0
#property indicator_maximum 1

extern int StochPeriod1 = 13;
extern int DPeriod1 = 3;
extern int SlowingPeriod1 = 3;
double gda_96[];
double gda_100[];
double gda_104[];

int init() {
   IndicatorBuffers(3);
   SetIndexStyle(0, DRAW_HISTOGRAM, EMPTY, 4, RoyalBlue);
   SetIndexBuffer(0, gda_96);
   SetIndexEmptyValue(0, EMPTY_VALUE);
   SetIndexStyle(1, DRAW_HISTOGRAM, EMPTY, 4, Red);
   SetIndexBuffer(1, gda_100);
   SetIndexEmptyValue(1, EMPTY_VALUE);
  
   SetIndexBuffer(2, gda_104);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   int li_0 = IndicatorCounted();
   IndicatorShortName("3 SM (" + StochPeriod1 + "," + DPeriod1 + "," + SlowingPeriod1 + ")");
   if (li_0 < 0) return (-1);
   if (li_0 > 0) li_0--;
   int li_8 = Bars - 31;
   if (li_0 >= 31) li_8 = Bars - li_0 - 1;
   for (int li_4 = li_8; li_4 >= 0; li_4--) {
      gda_104[li_4] = iStochastic(NULL, 0, StochPeriod1, DPeriod1, SlowingPeriod1, MODE_SMA, 0, MODE_MAIN, li_4) - 50.0;
      if (gda_104[li_4] > 0.0) gda_96[li_4] = 1;
      else
         if (gda_104[li_4] < 0.0) gda_100[li_4] = 1;
   }
   return (0);
}